# Serialized Form

## Package com.typesafe.config

### Exception Class com.typesafe.config.ConfigException

class ConfigException extends RuntimeException implements Serializable

serialVersionUID:
  1L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

### Exception Class com.typesafe.config.ConfigException.BadBean

class BadBean extends ConfigException.BugOrBroken implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.BadPath

class BadPath extends ConfigException implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.BadValue

class BadValue extends ConfigException implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.BugOrBroken

class BugOrBroken extends ConfigException implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.Generic

class Generic extends ConfigException implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.IO

class IO extends ConfigException implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.Missing

class Missing extends ConfigException implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.NotResolved

class NotResolved extends ConfigException.BugOrBroken implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.Null

class Null extends ConfigException.Missing implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.Parse

class Parse extends ConfigException implements Serializable

serialVersionUID:
  1L

### Exception Class com.typesafe.config.ConfigException.UnresolvedSubstitution

class UnresolvedSubstitution extends ConfigException.Parse implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### detail

    String detail

### Exception Class com.typesafe.config.ConfigException.ValidationFailed

class ValidationFailed extends ConfigException implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### problems

    Iterable<ConfigException.ValidationProblem> problems

### Class com.typesafe.config.ConfigException.ValidationProblem

class ValidationProblem extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### path

    String path

##### problem

    String problem

### Exception Class com.typesafe.config.ConfigException.WrongType

class WrongType extends ConfigException implements Serializable

serialVersionUID:
  1L